/*
 *   Copyright 2008 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spago4Q.

    Spago4Q is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published 
    by the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spago4Q is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
package it.eng.extractors;



import java.util.HashMap;
import java.util.Iterator;


public class GenericItem implements GenericItemInterface {

	private HashMap data=new HashMap();
	
	public Object getValue(String field) {
		return data.get(field);
	}

	public void setValue(String name,Object val){
		data.put(name, val);
	}
	
	@Override
	public String toString(){
		Iterator iter=data.keySet().iterator();
		String ris="";
		while(iter.hasNext()){
			String k=(String)iter.next();
			ris=ris+k+"="+data.get(k)+" | ";
		}
		return ris;
	}
}
