/*
 *   Copyright 2008 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spago4Q.

    Spago4Q is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published 
    by the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spago4Q is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package it.eng.extractors.jira.rpc;

public interface JiraSoapService extends java.rmi.Remote {
    public it.eng.extractors.jira.rpc.RemoteComment getComment(java.lang.String in0, long in1) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemoteException;
    public it.eng.extractors.jira.rpc.RemoteGroup createGroup(java.lang.String in0, java.lang.String in1, it.eng.extractors.jira.rpc.RemoteUser in2) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemotePermissionException, it.eng.extractors.jira.rpc.RemoteException, it.eng.extractors.jira.rpc.RemoteValidationException, it.eng.extractors.jira.rpc.RemoteAuthenticationException;
    public it.eng.extractors.jira.rpc.RemoteUser getUser(java.lang.String in0, java.lang.String in1) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemotePermissionException, it.eng.extractors.jira.rpc.RemoteAuthenticationException;
    public it.eng.extractors.jira.rpc.RemoteGroup getGroup(java.lang.String in0, java.lang.String in1) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemotePermissionException, it.eng.extractors.jira.rpc.RemoteException, it.eng.extractors.jira.rpc.RemoteValidationException, it.eng.extractors.jira.rpc.RemoteAuthenticationException;
    public java.lang.String login(java.lang.String in0, java.lang.String in1) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemoteException, it.eng.extractors.jira.rpc.RemoteAuthenticationException;
    public it.eng.extractors.jira.rpc.RemoteServerInfo getServerInfo(java.lang.String in0) throws java.rmi.RemoteException;
    public boolean logout(java.lang.String in0) throws java.rmi.RemoteException;
    public it.eng.extractors.jira.rpc.RemoteIssue getIssue(java.lang.String in0, java.lang.String in1) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemotePermissionException, it.eng.extractors.jira.rpc.RemoteException, it.eng.extractors.jira.rpc.RemoteAuthenticationException;
    public it.eng.extractors.jira.rpc.RemoteComponent[] getComponents(java.lang.String in0, java.lang.String in1) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemotePermissionException, it.eng.extractors.jira.rpc.RemoteException, it.eng.extractors.jira.rpc.RemoteAuthenticationException;
    public it.eng.extractors.jira.rpc.RemoteUser createUser(java.lang.String in0, java.lang.String in1, java.lang.String in2, java.lang.String in3, java.lang.String in4) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemotePermissionException, it.eng.extractors.jira.rpc.RemoteException, it.eng.extractors.jira.rpc.RemoteValidationException, it.eng.extractors.jira.rpc.RemoteAuthenticationException;
    public it.eng.extractors.jira.rpc.RemoteIssue createIssue(java.lang.String in0, it.eng.extractors.jira.rpc.RemoteIssue in1) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemotePermissionException, it.eng.extractors.jira.rpc.RemoteException, it.eng.extractors.jira.rpc.RemoteValidationException, it.eng.extractors.jira.rpc.RemoteAuthenticationException;
    public it.eng.extractors.jira.rpc.RemoteNamedObject[] getAvailableActions(java.lang.String in0, java.lang.String in1) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemoteException;
    public it.eng.extractors.jira.rpc.RemoteProject[] getProjects(java.lang.String in0) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemotePermissionException, it.eng.extractors.jira.rpc.RemoteException, it.eng.extractors.jira.rpc.RemoteAuthenticationException;
    public it.eng.extractors.jira.rpc.RemoteIssue updateIssue(java.lang.String in0, java.lang.String in1, it.eng.extractors.jira.rpc.RemoteFieldValue[] in2) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemoteException;
    public it.eng.extractors.jira.rpc.RemoteConfiguration getConfiguration(java.lang.String in0) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemotePermissionException, it.eng.extractors.jira.rpc.RemoteException, it.eng.extractors.jira.rpc.RemoteAuthenticationException;
    public it.eng.extractors.jira.rpc.RemoteProject updateProject(java.lang.String in0, it.eng.extractors.jira.rpc.RemoteProject in1) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemotePermissionException, it.eng.extractors.jira.rpc.RemoteException, it.eng.extractors.jira.rpc.RemoteValidationException, it.eng.extractors.jira.rpc.RemoteAuthenticationException;
    public it.eng.extractors.jira.rpc.RemotePriority[] getPriorities(java.lang.String in0) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemotePermissionException, it.eng.extractors.jira.rpc.RemoteAuthenticationException;
    public it.eng.extractors.jira.rpc.RemoteResolution[] getResolutions(java.lang.String in0) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemotePermissionException, it.eng.extractors.jira.rpc.RemoteAuthenticationException;
    public it.eng.extractors.jira.rpc.RemoteIssueType[] getIssueTypes(java.lang.String in0) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemotePermissionException, it.eng.extractors.jira.rpc.RemoteAuthenticationException;
    public it.eng.extractors.jira.rpc.RemoteStatus[] getStatuses(java.lang.String in0) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemotePermissionException, it.eng.extractors.jira.rpc.RemoteAuthenticationException;
    public it.eng.extractors.jira.rpc.RemoteIssueType[] getSubTaskIssueTypes(java.lang.String in0) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemotePermissionException, it.eng.extractors.jira.rpc.RemoteAuthenticationException;
    public it.eng.extractors.jira.rpc.RemoteProjectRole[] getProjectRoles(java.lang.String in0) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemoteException;
    public it.eng.extractors.jira.rpc.RemoteProjectRole getProjectRole(java.lang.String in0, long in1) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemoteException;
    public it.eng.extractors.jira.rpc.RemoteProjectRoleActors getProjectRoleActors(java.lang.String in0, it.eng.extractors.jira.rpc.RemoteProjectRole in1, it.eng.extractors.jira.rpc.RemoteProject in2) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemoteException;
    public it.eng.extractors.jira.rpc.RemoteRoleActors getDefaultRoleActors(java.lang.String in0, it.eng.extractors.jira.rpc.RemoteProjectRole in1) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemoteException;
    public void removeAllRoleActorsByNameAndType(java.lang.String in0, java.lang.String in1, java.lang.String in2) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemoteException;
    public void removeAllRoleActorsByProject(java.lang.String in0, it.eng.extractors.jira.rpc.RemoteProject in1) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemoteException;
    public void deleteProjectRole(java.lang.String in0, it.eng.extractors.jira.rpc.RemoteProjectRole in1, boolean in2) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemoteException;
    public void updateProjectRole(java.lang.String in0, it.eng.extractors.jira.rpc.RemoteProjectRole in1) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemoteException;
    public it.eng.extractors.jira.rpc.RemoteProjectRole createProjectRole(java.lang.String in0, it.eng.extractors.jira.rpc.RemoteProjectRole in1) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemoteException;
    public boolean isProjectRoleNameUnique(java.lang.String in0, java.lang.String in1) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemoteException;
    public void addActorsToProjectRole(java.lang.String in0, java.lang.String[] in1, it.eng.extractors.jira.rpc.RemoteProjectRole in2, it.eng.extractors.jira.rpc.RemoteProject in3, java.lang.String in4) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemoteException;
    public void removeActorsFromProjectRole(java.lang.String in0, java.lang.String[] in1, it.eng.extractors.jira.rpc.RemoteProjectRole in2, it.eng.extractors.jira.rpc.RemoteProject in3, java.lang.String in4) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemoteException;
    public void addDefaultActorsToProjectRole(java.lang.String in0, java.lang.String[] in1, it.eng.extractors.jira.rpc.RemoteProjectRole in2, java.lang.String in3) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemoteException;
    public void removeDefaultActorsFromProjectRole(java.lang.String in0, java.lang.String[] in1, it.eng.extractors.jira.rpc.RemoteProjectRole in2, java.lang.String in3) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemoteException;
    public it.eng.extractors.jira.rpc.RemoteScheme[] getAssociatedNotificationSchemes(java.lang.String in0, it.eng.extractors.jira.rpc.RemoteProjectRole in1) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemoteException;
    public it.eng.extractors.jira.rpc.RemoteScheme[] getAssociatedPermissionSchemes(java.lang.String in0, it.eng.extractors.jira.rpc.RemoteProjectRole in1) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemoteException;
    public it.eng.extractors.jira.rpc.RemoteField[] getCustomFields(java.lang.String in0) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemoteException;
    public it.eng.extractors.jira.rpc.RemoteFilter[] getSavedFilters(java.lang.String in0) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemotePermissionException, it.eng.extractors.jira.rpc.RemoteException, it.eng.extractors.jira.rpc.RemoteAuthenticationException;
    public it.eng.extractors.jira.rpc.RemoteComment[] getComments(java.lang.String in0, java.lang.String in1) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemotePermissionException, it.eng.extractors.jira.rpc.RemoteException, it.eng.extractors.jira.rpc.RemoteAuthenticationException;
    public void archiveVersion(java.lang.String in0, java.lang.String in1, java.lang.String in2, boolean in3) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemoteException;
    public it.eng.extractors.jira.rpc.RemoteVersion[] getVersions(java.lang.String in0, java.lang.String in1) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemotePermissionException, it.eng.extractors.jira.rpc.RemoteException, it.eng.extractors.jira.rpc.RemoteAuthenticationException;
    public it.eng.extractors.jira.rpc.RemoteProject createProject(java.lang.String in0, java.lang.String in1, java.lang.String in2, java.lang.String in3, java.lang.String in4, java.lang.String in5, it.eng.extractors.jira.rpc.RemotePermissionScheme in6, it.eng.extractors.jira.rpc.RemoteScheme in7, it.eng.extractors.jira.rpc.RemoteScheme in8) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemotePermissionException, it.eng.extractors.jira.rpc.RemoteException, it.eng.extractors.jira.rpc.RemoteValidationException, it.eng.extractors.jira.rpc.RemoteAuthenticationException;
    public void addComment(java.lang.String in0, java.lang.String in1, it.eng.extractors.jira.rpc.RemoteComment in2) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemotePermissionException, it.eng.extractors.jira.rpc.RemoteException, it.eng.extractors.jira.rpc.RemoteAuthenticationException;
    public it.eng.extractors.jira.rpc.RemoteField[] getFieldsForEdit(java.lang.String in0, java.lang.String in1) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemoteException;
    public void addUserToGroup(java.lang.String in0, it.eng.extractors.jira.rpc.RemoteGroup in1, it.eng.extractors.jira.rpc.RemoteUser in2) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemotePermissionException, it.eng.extractors.jira.rpc.RemoteException, it.eng.extractors.jira.rpc.RemoteValidationException, it.eng.extractors.jira.rpc.RemoteAuthenticationException;
    public void removeUserFromGroup(java.lang.String in0, it.eng.extractors.jira.rpc.RemoteGroup in1, it.eng.extractors.jira.rpc.RemoteUser in2) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemotePermissionException, it.eng.extractors.jira.rpc.RemoteException, it.eng.extractors.jira.rpc.RemoteValidationException, it.eng.extractors.jira.rpc.RemoteAuthenticationException;
    public void deleteProject(java.lang.String in0, java.lang.String in1) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemotePermissionException, it.eng.extractors.jira.rpc.RemoteException, it.eng.extractors.jira.rpc.RemoteAuthenticationException;
    public void releaseVersion(java.lang.String in0, java.lang.String in1, it.eng.extractors.jira.rpc.RemoteVersion in2) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemoteException;
    public void deleteIssue(java.lang.String in0, java.lang.String in1) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemotePermissionException, it.eng.extractors.jira.rpc.RemoteException, it.eng.extractors.jira.rpc.RemoteAuthenticationException;
    public boolean addAttachmentsToIssue(java.lang.String in0, java.lang.String in1, java.lang.String[] in2, byte[][] in3) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemotePermissionException, it.eng.extractors.jira.rpc.RemoteException, it.eng.extractors.jira.rpc.RemoteValidationException, it.eng.extractors.jira.rpc.RemoteAuthenticationException;
    public it.eng.extractors.jira.rpc.RemoteAttachment[] getAttachmentsFromIssue(java.lang.String in0, java.lang.String in1) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemotePermissionException, it.eng.extractors.jira.rpc.RemoteException, it.eng.extractors.jira.rpc.RemoteValidationException, it.eng.extractors.jira.rpc.RemoteAuthenticationException;
    public boolean hasPermissionToEditComment(java.lang.String in0, it.eng.extractors.jira.rpc.RemoteComment in1) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemoteException;
    public it.eng.extractors.jira.rpc.RemoteComment editComment(java.lang.String in0, it.eng.extractors.jira.rpc.RemoteComment in1) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemoteException;
    public it.eng.extractors.jira.rpc.RemoteField[] getFieldsForAction(java.lang.String in0, java.lang.String in1, java.lang.String in2) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemoteException;
    public it.eng.extractors.jira.rpc.RemoteIssue progressWorkflowAction(java.lang.String in0, java.lang.String in1, java.lang.String in2, it.eng.extractors.jira.rpc.RemoteFieldValue[] in3) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemoteException;
    public it.eng.extractors.jira.rpc.RemoteIssue getIssueById(java.lang.String in0, java.lang.String in1) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemotePermissionException, it.eng.extractors.jira.rpc.RemoteException, it.eng.extractors.jira.rpc.RemoteAuthenticationException;
    public it.eng.extractors.jira.rpc.RemoteScheme[] getNotificationSchemes(java.lang.String in0) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemotePermissionException, it.eng.extractors.jira.rpc.RemoteException, it.eng.extractors.jira.rpc.RemoteAuthenticationException;
    public it.eng.extractors.jira.rpc.RemotePermissionScheme[] getPermissionSchemes(java.lang.String in0) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemotePermissionException, it.eng.extractors.jira.rpc.RemoteException, it.eng.extractors.jira.rpc.RemoteAuthenticationException;
    public it.eng.extractors.jira.rpc.RemotePermissionScheme createPermissionScheme(java.lang.String in0, java.lang.String in1, java.lang.String in2) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemotePermissionException, it.eng.extractors.jira.rpc.RemoteException, it.eng.extractors.jira.rpc.RemoteValidationException, it.eng.extractors.jira.rpc.RemoteAuthenticationException;
    public void deletePermissionScheme(java.lang.String in0, java.lang.String in1) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemotePermissionException, it.eng.extractors.jira.rpc.RemoteException, it.eng.extractors.jira.rpc.RemoteValidationException, it.eng.extractors.jira.rpc.RemoteAuthenticationException;
    public it.eng.extractors.jira.rpc.RemotePermissionScheme addPermissionTo(java.lang.String in0, it.eng.extractors.jira.rpc.RemotePermissionScheme in1, it.eng.extractors.jira.rpc.RemotePermission in2, it.eng.extractors.jira.rpc.RemoteEntity in3) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemotePermissionException, it.eng.extractors.jira.rpc.RemoteException, it.eng.extractors.jira.rpc.RemoteValidationException, it.eng.extractors.jira.rpc.RemoteAuthenticationException;
    public it.eng.extractors.jira.rpc.RemotePermissionScheme deletePermissionFrom(java.lang.String in0, it.eng.extractors.jira.rpc.RemotePermissionScheme in1, it.eng.extractors.jira.rpc.RemotePermission in2, it.eng.extractors.jira.rpc.RemoteEntity in3) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemotePermissionException, it.eng.extractors.jira.rpc.RemoteException, it.eng.extractors.jira.rpc.RemoteValidationException, it.eng.extractors.jira.rpc.RemoteAuthenticationException;
    public it.eng.extractors.jira.rpc.RemotePermission[] getAllPermissions(java.lang.String in0) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemotePermissionException, it.eng.extractors.jira.rpc.RemoteException, it.eng.extractors.jira.rpc.RemoteAuthenticationException;
    public long getIssueCountForFilter(java.lang.String in0, java.lang.String in1) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemoteException;
    public it.eng.extractors.jira.rpc.RemoteIssue[] getIssuesFromTextSearch(java.lang.String in0, java.lang.String in1) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemoteException;
    public it.eng.extractors.jira.rpc.RemoteIssue[] getIssuesFromTextSearchWithProject(java.lang.String in0, java.lang.String[] in1, java.lang.String in2, int in3) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemoteException;
    public void deleteUser(java.lang.String in0, java.lang.String in1) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemotePermissionException, it.eng.extractors.jira.rpc.RemoteException, it.eng.extractors.jira.rpc.RemoteValidationException, it.eng.extractors.jira.rpc.RemoteAuthenticationException;
    public it.eng.extractors.jira.rpc.RemoteGroup updateGroup(java.lang.String in0, it.eng.extractors.jira.rpc.RemoteGroup in1) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemotePermissionException, it.eng.extractors.jira.rpc.RemoteException, it.eng.extractors.jira.rpc.RemoteValidationException, it.eng.extractors.jira.rpc.RemoteAuthenticationException;
    public void deleteGroup(java.lang.String in0, java.lang.String in1, java.lang.String in2) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemotePermissionException, it.eng.extractors.jira.rpc.RemoteException, it.eng.extractors.jira.rpc.RemoteValidationException, it.eng.extractors.jira.rpc.RemoteAuthenticationException;
    public void refreshCustomFields(java.lang.String in0) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemoteException;
    public it.eng.extractors.jira.rpc.RemoteProject[] getProjectsNoSchemes(java.lang.String in0) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemotePermissionException, it.eng.extractors.jira.rpc.RemoteException, it.eng.extractors.jira.rpc.RemoteAuthenticationException;
    public it.eng.extractors.jira.rpc.RemoteVersion addVersion(java.lang.String in0, java.lang.String in1, it.eng.extractors.jira.rpc.RemoteVersion in2) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemoteException;
    public it.eng.extractors.jira.rpc.RemoteProject createProjectFromObject(java.lang.String in0, it.eng.extractors.jira.rpc.RemoteProject in1) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemotePermissionException, it.eng.extractors.jira.rpc.RemoteException, it.eng.extractors.jira.rpc.RemoteValidationException, it.eng.extractors.jira.rpc.RemoteAuthenticationException;
    public it.eng.extractors.jira.rpc.RemoteScheme[] getSecuritySchemes(java.lang.String in0) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemotePermissionException, it.eng.extractors.jira.rpc.RemoteException, it.eng.extractors.jira.rpc.RemoteAuthenticationException;
    public it.eng.extractors.jira.rpc.RemoteIssue[] getIssuesFromFilter(java.lang.String in0, java.lang.String in1) throws java.rmi.RemoteException, it.eng.extractors.jira.rpc.RemoteException;
}
