package it.eng.configurazione.bean;

import javax.persistence.Embeddable;

import org.hibernate.annotations.Parent;


@Embeddable
public class Field {

	private String name=null;
	private Operation operation=null;
	private String type=null;
	private String mappingScript=null;
	private String interfacePosition=null;

	
	public String getInterfacePosition() {
		return interfacePosition;
	}
	public void setInterfacePosition(String interfacePosition) {
		this.interfacePosition = interfacePosition;
	}
	
	public String getMappingScript() {
		return mappingScript;
	}
	public void setMappingScript(String mappingScript) {
		this.mappingScript = mappingScript;
	}
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}

	@Parent
	public Operation getOperation() {
		return operation;
	}
	public void setOperation(Operation operation) {
		this.operation = operation;
	}

	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	
	public boolean equals(Object o) {
		if ( this == o ) return true;
		if ( o == null || getClass() != o.getClass() ) return false;

		final Field campo = (Field) o;

		if ( !name.equals( campo.getName().trim() ) ) return false;

		return true;
	}	

}
