package it.eng.configurazione.bean;

import javax.persistence.Embeddable;

import org.hibernate.annotations.Parent;


@Embeddable
public class OperationParameter {

	
	private Operation operation=null;
	private String name=null;
	private String value=null;
	
	
	public String getValue() {
		return value;
	}
	public void setValue(String value) {
		this.value = value;
	}

	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}

	@Parent
	public Operation getOperation() {
		return operation;
	}
	public void setOperation(Operation operation) {
		this.operation = operation;
	}
	
	public boolean equals(Object o) {
		if ( this == o ) return true;
		if ( o == null || getClass() != o.getClass() ) return false;

		final OperationParameter campo = (OperationParameter) o;

		if ( !name.equals( campo.getName() ) ) return false;

		return true;
	}		
}
