package it.eng.configurazione.service;

import org.hibernate.HibernateException;
import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.hibernate.cfg.AnnotationConfiguration;
import org.hibernate.cfg.Configuration;
import org.hibernate.cfg.SettingsFactory;

public class HibernateUtils {
	
	private static final SessionFactory sessionFactory;
	
	static {
		try {
			//sessionFactory = new AnnotationConfiguration().buildSessionFactory();
			Configuration conf = new AnnotationConfiguration();
			conf = conf.configure("hibernate.cfg.xml");
			sessionFactory = conf.buildSessionFactory();
			
		} catch (Throwable ex) {
			throw new ExceptionInInitializerError(ex);
		}
	}
	
	public static Session getSession() throws HibernateException {
	return sessionFactory.openSession();
	}
}
