package it.eng.configurazione.bean;

import java.io.Serializable;

import javax.persistence.Embeddable;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

@Embeddable
public class ProjectKpiPK implements Serializable{
	
	@ManyToOne
    @JoinColumn(name = "id_kpi", nullable = false)
	public Kpi kpi=null;
	
	@ManyToOne
	@JoinColumn(name="id_project", nullable = false)
	public Project project=null;

	@Override
	public int hashCode() {
		final int PRIME = 31;
		int result = 1;
		result = PRIME * result + ((kpi == null) ? 0 : kpi.hashCode());
		result = PRIME * result + ((project == null) ? 0 : project.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		final ProjectKpiPK other = (ProjectKpiPK) obj;
		if (kpi == null) {
			if (other.kpi != null)
				return false;
		} else if (!kpi.equals(other.kpi))
			return false;
		if (project == null) {
			if (other.project != null)
				return false;
		} else if (!project.equals(other.project))
			return false;
		return true;
	}
	
}
